The endpoint can be used in following way:
1.If resourceId is passed in the request then it will return next four month's availability from currentDate.
2.If only locationId is passed in the request then it will return two months availability of accommodations for that location.
3.If only offerCode is passed in the request then it will return two months availability for all the types for which the requested offer is valid.
4.The arrivalDateFrom & arrivalDateTo fields could be used to limit the availability response for specific arrival date range.
5.There is a max limit on the arrival range period of four months together with resourceId field in the request and max limit of two months if only locationId or offercode field value is passed in the request.
6.In case no request parameters are provided by default for each accommodation type the cheapest option over all available stays is returned. This is also the case if multiple prices are available for one stay.